# IDT_s Struct Reference

A rollback transaction id element. More...

`#include <rpmcli.h>`

## Data Fields

unsigned int | instance
const char * | key
Header | h
const char * | n
const char * | v
const char * | r
union {
uint_32 u32
} | val

## Detailed Description

A rollback transaction id element.

Definition at line 352 of file rpmcli.h.

## Field Documentation

Header IDT_s::h

removed package file name. removed package header.

Definition at line 356 of file rpmcli.h.

Referenced by IDTXfree(), IDTXglob(), IDTXload(), and rpmRollback().

unsigned int IDT_s::instance

installed package transaction id.

Definition at line 353 of file rpmcli.h.

Referenced by IDTXglob(), IDTXload(), and rpmRollback().

const char* IDT_s::key

Definition at line 355 of file rpmcli.h.

Referenced by IDTXglob(), IDTXload(), and rpmRollback().

const char* IDT_s::n

package name.

Definition at line 357 of file rpmcli.h.

Referenced by IDTintcmp(), IDTXglob(), IDTXload(), and rpmRollback().

const char* IDT_s::r

package release.

Definition at line 359 of file rpmcli.h.

Referenced by IDTXglob(), IDTXload(), and rpmRollback().

uint_32 IDT_s::u32

install/remove transaction id

Definition at line 361 of file rpmcli.h.

Referenced by IDTintcmp(), IDTXglob(), IDTXload(), and rpmRollback().

const char* IDT_s::v

package version.

Definition at line 358 of file rpmcli.h.

Referenced by IDTXglob(), IDTXload(), and rpmRollback().

union { ... } IDT_s::val

Referenced by IDTintcmp(), IDTXglob(), IDTXload(), and rpmRollback().

The documentation for this struct was generated from the following file:

- lib/rpmcli.h